[Debburn-changes] r402 - nonameyet/branches/cleanup/cdda2wav

Eduard Bloch blade at alioth.debian.org
Sun Nov 19 18:50:10 CET 2006


Author: blade
Date: 2006-11-19 18:50:10 +0100 (Sun, 19 Nov 2006)
New Revision: 402

Removed:
   nonameyet/branches/cleanup/cdda2wav/cdda2mp3
Modified:
   nonameyet/branches/cleanup/cdda2wav/cdda2ogg
Log:
Adding changes on cdda2* scripts lost in some previous merge

Deleted: nonameyet/branches/cleanup/cdda2wav/cdda2mp3
===================================================================
--- nonameyet/branches/cleanup/cdda2wav/cdda2mp3	2006-11-19 17:41:44 UTC (rev 401)
+++ nonameyet/branches/cleanup/cdda2wav/cdda2mp3	2006-11-19 17:50:10 UTC (rev 402)
@@ -1,68 +0,0 @@
-#! /bin/sh
-# Demo script for processing all audio tracks with a mp3 decoder
-# based on a news article by Tom Kludy
-# This variant uses named pipes in order to save space.
-# There is another variant of this script, which uses temporary
-# wav files (see cdda2mp3.new).
-#
-# usage: cdda2mp3 <name prefix for all mp3 files>
-#
-# list_audio_tracks is a (symbolic) link to cdda2wav
-# and used to generate a list of audio track numbers and start
-# sectors, which in turn are used in a loop to spawn cdda2wav
-# and the post processor on a track by track basis.
-
-# specify the sampling program and its options
-# do not specify the track option here!
-CDDA2WAV=${CDDA2WAV:-cdda2wav}
-CDDA2WAV_OPTS=${CDDA2WAV_OPTS:-'-H -P0 -q'}
-
-# for normal use, comment out the next line
-#DEBUG='-d1'
-
-# the post processor is fed through a pipe to avoid space waste
-# specify the post processing program and its options
-MP_CODER=${MP_CODER:-lame}
-MP_OPTIONS=${MP_OPTIONS:-''}
-
-export MP_CODER
-MP_CODER=$(which $MP_CODER 2>/dev/null)
-if [ ! -x "$MP_CODER" ] ; then
-   echo "Encoder not found. Install one first!"
-   exit 1
-fi
-
-CDDA_DEVICE=${CDDA_DEVICE:-/dev/cdrw}
-
-FILEPREFIX=${1:-audiotrack}
-
-if [ -e /etc/default/cdda2mp3 ]; then
-	. /etc/default/cdda2mp3
-fi
-
-if [ -z "$LIST" ] ; then
-   echo Looking for available tracks...
-   LIST="$( cdda2wav -J -vtoc -H 2>&1 | sed -e 's/^[^\ ].*//; s/\.([^)]*)/ /g;s/,//g;')"
-   if [ -z "$LIST" ] ; then
-      echo "ERROR: No valid audio tracks detected"
-      exit 1
-   fi
-fi
-
-echo Fetching `echo $LIST | wc -w` tracks in $CDDA_DEVICE, encoding with $MP_CODER.
-echo Cancel with Ctrl-C, watch out for error messages.
-
-for TRACK in $LIST ; do
-   NAME="`printf "%02d" $TRACK`-$FILEPREFIX.mp3"
-   echo
-   echo "############ Starting with Track Nr. $TRACK -> $NAME ############"
-  $CDDA2WAV $CDDA2WAV_OPTS -t$TRACK $DEBUG - | \
-  $MP_CODER $MP_OPTIONS - "$NAME"
-  # check result code
-  RES=$?
-  if [ $RES != 0 ] ; then
-    echo File $NAME failed \(result $RES\). Aborted. >&2
-    break
-  fi
-done
-

Modified: nonameyet/branches/cleanup/cdda2wav/cdda2ogg
===================================================================
--- nonameyet/branches/cleanup/cdda2wav/cdda2ogg	2006-11-19 17:41:44 UTC (rev 401)
+++ nonameyet/branches/cleanup/cdda2wav/cdda2ogg	2006-11-19 17:50:10 UTC (rev 402)
@@ -1,16 +1,8 @@
 #! /bin/sh
-# Demo script for processing all audio tracks with a mp3 decoder
+# Script for processing all audio tracks with an ogg or mp3 decoder
 # based on a news article by Tom Kludy
 # This variant uses named pipes in order to save space.
-# There is another variant of this script, which uses temporary
-# wav files (see cdda2mp3.new).
-#
-# usage: cdda2ogg <name prefix for all ogg files>
-#
-# list_audio_tracks is a (symbolic) link to cdda2wav
-# and used to generate a list of audio track numbers and start
-# sectors, which in turn are used in a loop to spawn cdda2wav
-# and the post processor on a track by track basis.
+# usage: cdda2ogg <name prefix for all ogg/mp3 files>
 
 # specify the sampling program and its options
 # do not specify the track option here!
@@ -22,13 +14,31 @@
 
 # the post processor is fed through a pipe to avoid space waste
 # specify the post processing program and its options
-MP_CODER=${MP_CODER:-oggenc}
+case $0 in
+   *ogg|*OGG|*Ogg)
+   # ensure the right suffix for suffixes later
+   suffix=ogg
+   missmsg="Encoder not found. Install one first! (eg. vorbis-tools)"
+   MP_CODER=${MP_CODER:-oggenc}
+   outopt="-o"
+   ;;
+   *mp3|*MP3|*mpeg3|*MPEG3|*Mp3)
+   suffix=mp3
+   missmsg="Encoder not found. Install one first! (eg. lame)"
+   MP_CODER=${MP_CODER:-lame}
+   outopt=""
+   ;;
+   *)
+   echo Unknown target file type: $suffix. Valid names for this application are: cdda2mp3, cdda2ogg.
+   exit 1
+   ;;
+esac
+
 MP_OPTIONS=${MP_OPTIONS:-''}
 
-export MP_CODER
 MP_CODER=$(which $MP_CODER 2>/dev/null)
 if [ ! -x "$MP_CODER" ] ; then
-   echo "Encoder not found. Install one first! (eg. vorbis-tools)"
+   echo $missmsg
    exit 1
 fi
 
@@ -37,12 +47,14 @@
 
 FILEPREFIX=${1:-audiotrack}
 
-if [ -e /etc/default/cdda2ogg ]; then
-	. /etc/default/cdda2ogg
+if [ -e /etc/default/cdda2$suffix ]; then
+	. /etc/default/cdda2$suffix
 fi
 
 if [ -z "$LIST" ] ; then
    echo Looking for available tracks...
+   # could use list_audio_tracks instead but that would need an extra filter as
+   # well, and this way we do not depend on that symlink
    LIST="$( cdda2wav -J -vtoc -H 2>&1 | sed -e 's/^[^\ ].*//; s/\.([^)]*)/ /g;s/,//g;')"
    if [ -z "$LIST" ] ; then
       echo "ERROR: No valid audio tracks detected"
@@ -54,11 +66,11 @@
 echo Cancel with Ctrl-C, watch out for error messages.
 
 for TRACK in $LIST ; do
-   NAME="`printf "%02d" $TRACK`-$FILEPREFIX.ogg"
+   NAME="`printf "%02d" $TRACK`-$FILEPREFIX.$suffix"
    echo
    echo "############ Starting with Track Nr. $TRACK -> $NAME ############"
   $CDDA2WAV $CDDA2WAV_OPTS -t$TRACK $DEBUG - | \
-  $MP_CODER $MP_OPTIONS - > "$NAME"
+  $MP_CODER $MP_OPTIONS - $outopt "$NAME"
 
   # check result code
   RES=$?
@@ -66,6 +78,5 @@
     echo File $NAME failed \(result $RES\). Aborted. >&2
     break
   fi
-  TRACK=`echo $(($TRACK+1))`
 done
 




More information about the Debburn-changes mailing list